AM263Px MCU+ SDK: SDL_R5FCPU_StaticRegs Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
SDL_R5FCPU_StaticRegs Struct Reference
APIs for SDL Module » SDL R5F CPU UTILS » R5F CPU STATIC REGISTER Data Structures

## Detailed Description

Structure containing R5F CPU Static Registers.

Design: PROC_SDL-6331

## Data Fields
uint32_t | SCTLR
uint32_t | ACTLR
uint32_t | SecondaryACTLR
uint32_t | CPACR
uint32_t | BTCMRegionR
uint32_t | ATCMRegionR
uint32_t | SlavePortControlR
uint32_t | CONTEXTIDR
uint32_t | nVALIRQSET
uint32_t | nVALFIQSET
uint32_t | nVALRESETSET
uint32_t | nVALDEBUGSET
uint32_t | nVALIRQCLEAR
uint32_t | nVALFIQCLEAR
uint32_t | nVALRESETCLEAR
uint32_t | nVALDEBUGCLEAR
uint32_t | BuildOption1R
uint32_t | BuildOption2R
uint32_t | PinOptionR
uint32_t | LLPPnormalAXIRR
uint32_t | LLPPvirtualAXIRR
uint32_t | AHBRR
uint32_t | PMCR
uint32_t | PMCNTENSET
uint32_t | PMUSERENR
uint32_t | PMINTENSET
uint32_t | PMINTENCLR

## Field Documentation

## ◆ SCTLR

uint32_t SDL_R5FCPU_StaticRegs::SCTLR

## ◆ ACTLR

uint32_t SDL_R5FCPU_StaticRegs::ACTLR

## ◆ SecondaryACTLR

uint32_t SDL_R5FCPU_StaticRegs::SecondaryACTLR

## ◆ CPACR

uint32_t SDL_R5FCPU_StaticRegs::CPACR

## ◆ BTCMRegionR

uint32_t SDL_R5FCPU_StaticRegs::BTCMRegionR

## ◆ ATCMRegionR

uint32_t SDL_R5FCPU_StaticRegs::ATCMRegionR

## ◆ SlavePortControlR

uint32_t SDL_R5FCPU_StaticRegs::SlavePortControlR

## ◆ CONTEXTIDR

uint32_t SDL_R5FCPU_StaticRegs::CONTEXTIDR

## ◆ nVALIRQSET

uint32_t SDL_R5FCPU_StaticRegs::nVALIRQSET

## ◆ nVALFIQSET

uint32_t SDL_R5FCPU_StaticRegs::nVALFIQSET

## ◆ nVALRESETSET

uint32_t SDL_R5FCPU_StaticRegs::nVALRESETSET

## ◆ nVALDEBUGSET

uint32_t SDL_R5FCPU_StaticRegs::nVALDEBUGSET

## ◆ nVALIRQCLEAR

uint32_t SDL_R5FCPU_StaticRegs::nVALIRQCLEAR

## ◆ nVALFIQCLEAR

uint32_t SDL_R5FCPU_StaticRegs::nVALFIQCLEAR

## ◆ nVALRESETCLEAR

uint32_t SDL_R5FCPU_StaticRegs::nVALRESETCLEAR

## ◆ nVALDEBUGCLEAR

uint32_t SDL_R5FCPU_StaticRegs::nVALDEBUGCLEAR

## ◆ BuildOption1R

uint32_t SDL_R5FCPU_StaticRegs::BuildOption1R

## ◆ BuildOption2R

uint32_t SDL_R5FCPU_StaticRegs::BuildOption2R

## ◆ PinOptionR

uint32_t SDL_R5FCPU_StaticRegs::PinOptionR

## ◆ LLPPnormalAXIRR

uint32_t SDL_R5FCPU_StaticRegs::LLPPnormalAXIRR

## ◆ LLPPvirtualAXIRR

uint32_t SDL_R5FCPU_StaticRegs::LLPPvirtualAXIRR

## ◆ AHBRR

uint32_t SDL_R5FCPU_StaticRegs::AHBRR

## ◆ PMCR

uint32_t SDL_R5FCPU_StaticRegs::PMCR

## ◆ PMCNTENSET

uint32_t SDL_R5FCPU_StaticRegs::PMCNTENSET

## ◆ PMUSERENR

uint32_t SDL_R5FCPU_StaticRegs::PMUSERENR

## ◆ PMINTENSET

uint32_t SDL_R5FCPU_StaticRegs::PMINTENSET

## ◆ PMINTENCLR

uint32_t SDL_R5FCPU_StaticRegs::PMINTENCLR